AIAssistantsLLMSupportResponse

AIAssistantsLLMSupportResponse
AI Assistants LLM Support Response

Union response schema for the GET /ai-assistants/llm-support endpoint. Returns AIAssistantsLLMProviderSupport for BROADCOM_ACCOUNT_CONFIG and AI_ASSISTANT_THREAT_DEFENSE usage types, or AIAssistantsLLMUsageSupport for the AI_ASSISTANT_PLATFORM usage type.

OneOf
This class requires at least one of the following:
JSON Example AIAssistantsLLMProviderSupport
{
    "providers": [
        {
            "name": "GCP",
            "regions": [
                {
                    "name": "us-east1"
                }
            ],
            "supported_models": {
                "embedding_models": [
                    {
                        "name": "gemini-embedding-001",
                        "expiry_date": null
                    }
                ],
                "high_iq": [
                    {
                        "name": "gemini-2.5-pro",
                        "expiry_date": null
                    }
                ],
                "normal_iq": [
                    {
                        "name": "gemini-2.5-flash",
                        "expiry_date": null
                    }
                ],
                "low_iq": [
                    {
                        "name": "gemini-2.5-flash-lite",
                        "expiry_date": null
                    }
                ]
            }
        }
    ]
}